import { SimpleLocalIntegration } from '../../core/index.js';
import { KebaConfigFlow } from './keba.classes.configflow.js';
import { createKebaDiscoveryDescriptor } from './keba.discovery.js';
import type { IKebaConfig } from './keba.types.js';
import { kebaDomain, kebaProfile } from './keba.types.js';

export class KebaIntegration extends SimpleLocalIntegration<IKebaConfig> {
  public readonly domain = kebaDomain;
  public readonly discoveryDescriptor = createKebaDiscoveryDescriptor();
  public readonly configFlow = new KebaConfigFlow();

  constructor() {
    super(kebaProfile);
  }
}

export class HomeAssistantKebaIntegration extends KebaIntegration {}
